# interestedActor

Send a Interested Actor

`POST /v3/invoices/goods/{key}/interested`

**API:** AvaTax Brazil
**Tag:** Invoice Goods
**API Version:** 3.0
**Base URL:** https://avataxbr.sandbox.avalarabrasil.com.br

Source: https://developer.avalara.com/products/avatax-brazil/api/methods/Invoice%20Goods/interestedActor/

## Description

(en) Sends an Interested Actor
(pt) Envia um ator interessado

## Request Body

**Content-Type:** `application/json`
**Schema:** `InterestedActor`

| Property | Type | Required | Description |
|---|---|---|---|
| `authorState` | StateEnum | No |  |
| `authorType` | string | No | (en) Authorization role for the transaction
 1 = Generation of the Event by the Issuer;
 2 = Generation of the Event by the Recipient;
 3 = Generation of the Event by the Carrier
(pt) Papel do Autorizador na transação        
 1=Geração do Evento pelo Emitente;
 2=Geração do Evento pelo Destinatário;
 3=Geração do Evento pelo Transportador Values: `1`, `2`, `3`. |
| `federalTaxId` | string | No | (en) CNPJ/CPF of Sales Buyer, if CPF pattern is '[0-9]{11}' if CNPJ pattern is '[0-9]{14}'
(pt) CNPJ/CPF do comprador da venda, se o padrão do CPF for '[0-9] {11}' se o padrão do CNPJ for '[0-9] {14}'
Usage purpose: 
Invoice |
| `authorizationType` | string | No | (en) Authorization type
- '0' # It is not allowed to re-pass the permission
- '1' # It is allowed to re-pass the permission
(pt) Tipo de autorização
- '0' # Não permite repassar a permissão
- '1' # Permite o transportador repassar a permissão Values: `0`, `1`. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | (en) Invoice Status 
(pt) Status da fatura | `eInvoiceReturnStatus` |
| 400 |  |  |
| 401 |  |  |
| 403 |  |  |
| 404 |  |  |
| 429 |  |  |
| 500 |  |  |
| 503 |  |  |

### 200 Response: `eInvoiceReturnStatus`

| Property | Type | Required | Description |
|---|---|---|---|
| `desc` | string | No |  |
| `code` | string | No |  |
| `protocol` | string | No |  |
| `nfseNumber` | string | No |  |
| `nfseVerifyCode` | string | No |  |
| `authorizationDateTime` | string | No |  |

## Example Request

```bash
curl -X POST "https://avataxbr.sandbox.avalarabrasil.com.br/v3/invoices/goods/{key}/interested" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json" \
  -d '{
  "authorState": {},
  "authorType": "",
  "federalTaxId": "",
  "authorizationType": ""
}'
```